sc::BlockedSCVector(3)

NAME
sc::BlockedSCVector -

SYNOPSIS

Inherits sc::SCVector.

  Public Member Functions
BlockedSCVector (const RefSCDimension &, BlockedSCMatrixKit *)
void save (StateOut &)
Save and restore this in an implementation independent way.
void restore (StateIn &)
void assign_val (double)
Overridden to implement the assign functions.
void assign_v (SCVector *)
void assign_p (const double *)
double get_element (int) const
Return the value of element i.
void set_element (int, double)
Set element i to val.
void accumulate_element (int, double)
Add val to element i.
void accumulate_product_rv (SCMatrix *, SCVector *)
void accumulate_product_sv (SymmSCMatrix *, SCVector *)
void accumulate (const SCVector *)
Sum v into this.
void accumulate (const SCMatrix *)
Sum m into this. One of m's dimensions must be 1.
double scalar_product (SCVector *)
Return the dot product.
void element_op (const Ref< SCElementOp > &)
Perform the element operation op on each element of this.
void element_op (const Ref< SCElementOp2 > &, SCVector *)
void element_op (const Ref< SCElementOp3 > &, SCVector *, SCVector *)
void vprint (const char *title=0, std::ostream &out=ExEnv::out0(), int=10) const
RefSCDimension dim () const
RefSCDimension dim (int) const
int nblocks () const
RefSCVector block (int)
Ref< SCMatrixSubblockIter > local_blocks (SCMatrixSubblockIter::Access)
Returns iterators for the local (rapidly accessible) blocks used in this vector.
Ref< SCMatrixSubblockIter > all_blocks (SCMatrixSubblockIter::Access)
Returns iterators for the all blocks used in this vector.

  Friends
class BlockedSCMatrix
class BlockedSymmSCMatrix
class BlockedDiagSCMatrix

  Additional Inherited Members

Member Function Documentation

  Ref<SCMatrixSubblockIter> sc::BlockedSCVector::local_blocks (SCMatrixSubblockIter::Access) [virtual]

Returns iterators for the local (rapidly accessible) blocks used in this vector. Only one iterator is allowed for a matrix is it has Accum or Write access is allowed. Multiple Read iterators are permitted.

Implements sc::SCVector.

Author

Generated automatically by Doxygen for MPQC from the source code.